OpenTTD Source: SlStationBase Class Reference

OpenTTD Source 14.0-RC3

Public Member Functions | Static Public Attributes
SlStationBase Class Reference

SaveLoad handler for the BaseStation, which all other stations / waypoints make use of. More...

Inheritance diagram for SlStationBase:

## Public Member Functions
void | Save (BaseStation *bst) const override
void | Load (BaseStation *bst) const override
void | FixPointers (BaseStation *bst) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlStationBase, BaseStation >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
virtual void | Save ([[maybe_unused]] BaseStation *object) const
void | Save (void *object) const override
virtual void | Load ([[maybe_unused]] BaseStation *object) const
void | Load (void *object) const override
virtual void | LoadCheck ([[maybe_unused]] BaseStation *object) const
void | LoadCheck (void *object) const override
virtual void | FixPointers ([[maybe_unused]] BaseStation *object) const
void | FixPointers (void *object) const override
Public Member Functions inherited from SaveLoadHandler
virtual void | Save ([[maybe_unused]] void *object) const
| Save the object to disk. More...
virtual void | Load ([[maybe_unused]] void *object) const
| Load the object from disk. More...
virtual void | LoadCheck ([[maybe_unused]] void *object) const
| Similar to load, but used only to validate savegames. More...
virtual void | FixPointers ([[maybe_unused]] void *object) const
| A post-load callback to fix SL_REF integers into pointers. More...
virtual SaveLoadTable | GetDescription () const =0
| Get the description of the fields in the savegame.
virtual SaveLoadCompatTable | GetCompatDescription () const =0
| Get the pre-header description of the fields in the savegame.
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk. More...

## Static Public Attributes
static const SaveLoad | description []
const static SaveLoadCompatTable | compat_description = _station_base_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

SaveLoad handler for the BaseStation, which all other stations / waypoints make use of.

Definition at line 591 of file station_sl.cpp.

## Field Documentation

## ◆ description

const SaveLoad SlStationBase::description[]
| inlinestatic

Initial value:
= {
SLE_VAR(BaseStation, xy, SLE_UINT32),
SLE_REF(BaseStation, town, REF_TOWN),
SLE_VAR(BaseStation, string_id, SLE_STRINGID),
SLE_SSTR(BaseStation, name, SLE_STR | SLF_ALLOW_CONTROL),
SLE_VAR(BaseStation, delete_ctr, SLE_UINT8),
SLE_VAR(BaseStation, owner, SLE_UINT8),
SLE_VAR(BaseStation, facilities, SLE_UINT8),
SLE_VAR(BaseStation, build_date, SLE_INT32),
SLE_VAR(BaseStation, random_bits, SLE_UINT16),
SLE_VAR(BaseStation, waiting_triggers, SLE_UINT8),
SLEG_CONDVAR("num_specs", SlStationSpecList::last_num_specs, SLE_UINT8, SL_MIN_VERSION, SLV_SAVELOAD_LIST_LENGTH),
}

Definition at line 593 of file station_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/station_sl.cpp

REF_TOWN
@ REF_TOWN
Load/save a reference to a town.
Definition: saveload.h:586
SL_MIN_VERSION
@ SL_MIN_VERSION
First savegame version.
Definition: saveload.h:31
SLE_REF
#define SLE_REF(base, variable, type)
Storage of a reference in every version of a savegame.
Definition: saveload.h:969
SLF_ALLOW_CONTROL
@ SLF_ALLOW_CONTROL
Allow control codes in the strings.
Definition: saveload.h:670
SLV_SAVELOAD_LIST_LENGTH
@ SLV_SAVELOAD_LIST_LENGTH
293 PR#9374 Consistency in list length with SL_STRUCT / SL_STRUCTLIST / SL_DEQUE / SL_REFLIST.
Definition: saveload.h:331
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition: saveload.h:952
SLEG_CONDVAR
#define SLEG_CONDVAR(name, variable, type, from, to)
Storage of a global variable in some savegame versions.
Definition: saveload.h:1051
BaseStation
Base class for all station-ish types.
Definition: base_station_base.h:64
SLE_SSTR
#define SLE_SSTR(base, variable, type)
Storage of a std::string in every savegame version.
Definition: saveload.h:996
SlStationSpecList::last_num_specs
static uint8_t last_num_specs
Number of specs of the last loaded station.
Definition: station_sl.cpp:214